%{?nodejs_find_provides_and_requires}

%global npm_name es6-promise
# Tests disabled due to dependencies not in Fedora yet
# Tests also are not working even with dependencies
%global enable_tests 0


Summary:       Lightweight library that provides tools for organizing asynchronous code
Name:          nodejs-%{npm_name}
Version:       4.1.1
Release:       5%{?dist}
License:       MIT
URL:           https://github.com/jakearchibald/ES6-Promises
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	   tests-%{version}.tar.bz2
Source10:	   dl-tests.%{npm_name}.sh
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: nodejs(ember)
BuildRequires: nodejs(ember-cli)
%endif

BuildArch:     noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
A lightweight library that provides tools for organizing 
asynchronous code

This is a polyfill of the ES6 Promise. The implementation 
is a subset of rsvp.js.

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr dist lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ember test
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 19 2017 Jared Smith <jsmith@fedoraproject.org> - 4.1.1-1
- Update to upstream 4.1.1 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Sep 09 2016 Troy Dawson <tdawson@redhat.com> - 3.2.1-1
- Update to 3.2.1

* Fri Apr 29 2016 Troy Dawson <tdawson@redhat.com> - 3.1.2-1
- Update to 3.1.2

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 20 2015 Troy Dawson <tdawson@redhat.com> - 3.0.2-2
- Add tests, fixup spec file

* Mon Sep 21 2015 Troy Dawson <tdawson@redhat.com> - 3.0.2-1
- Initial build

